Endpoint Groups
Queries
Synchronous and asynchronous SQL query execution and query history endpoints.
Submit queryPOST
/queries
Submits a SQL query for asynchronous execution and returns a query job identifier for polling and result retrieval.
Operation ID
submitQueryRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
202 |
The request has been accepted for processing, but processing has not yet completed. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
List query historyGET
/queries/history
Lists recorded query executions and supports filtering by principal, decision status, and time window.
Operation ID
listQueryHistoryQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
from |
string |
false |
- |
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
principal_name |
string |
false |
- |
status |
AuditDecisionStatus |
false |
- |
to |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Get queryGET
/queries/{queryId}
Operation ID
getQueryPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
queryId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Delete queryDELETE
/queries/{queryId}
Operation ID
deleteQueryPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
queryId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Get query resultsGET
/queries/{queryId}/results
Returns a page of rows for a previously submitted query using the stored query job identifier.
Operation ID
getQueryResultsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
queryId |
string |
true |
- |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Cancel queryPOST
/queries/{queryId}:cancel
Operation ID
cancelQueryPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
queryId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
202 |
The request has been accepted for processing, but processing has not yet completed. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Execute queryPOST
/queries:execute
Executes a SQL statement synchronously and returns the first page of results in the response body.
Operation ID
executeQueryRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |